/*
 * This file is part of the ESPDA Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*
 * $Id: espda_print.h 161538 2014-05-22 13:56:10Z gcupani $
 * $Author: gcupani $
 * $Date: 2014-05-22 15:56:10 +0200 (Thu, 22 May 2014) $
 * $Revision: 161538 $
 */

#ifndef ESPDA_PRINT_H
#define ESPDA_PRINT_H

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>
#include <gsl/gsl_vector.h>
#include <string.h>

#include "espda_dfs.h"
#include "espda_redsh.h"
#include "espda_spec.h"
#include "espda_syst.h"
#include "espda_struct.h"
#include "espda_voigt.h"

/*-----------------------------------------------------------------------------
                                   Defines
 -----------------------------------------------------------------------------*/

#define espda_print_plur(A, B, C)                     \
            char *B = "";                             \
            if (!strcmp(C, "TABLE")) {                \
                if (A != NULL) {                      \
                    if (cpl_table_get_nrow(A) > 1)  { \
                        B = "s";                      \
                    }                                 \
                }                                     \
                else {                                \
                    B = "s";                          \
                }                                     \
            }                                         \
            if (!strcmp(C, "NUMBER")) {               \
                if (A != 1) {                         \
                    B = "s";                          \
                }                                     \
            }                                         \

#define espda_print_plurn(A, B) \
            char *B = "";       \
            if (A != 1) {       \
                B = "s";        \
            }                   \
            
#define espda_print_plurt(A, B)                   \
            char *B = "";                         \
            if (A != NULL) {                      \
                if (cpl_table_get_nrow(A) > 1)  { \
                    B = "s";                      \
                }                                 \
            }                                     \
            else {                                \
                B = "s";                          \
            }                                     \

#define espda_print_verb(A, B) \
            if (v_level >= A) { \
                B; \
            } \

/*-----------------------------------------------------------------------------
                                       Prototypes
 -----------------------------------------------------------------------------*/

cpl_error_code espda_print_covar(gsl_matrix *, gsl_vector *);
cpl_error_code espda_print_line (cpl_table *);
cpl_error_code espda_print_par	(gsl_vector *, gsl_vector *, cpl_table  *);
cpl_error_code espda_print_syst (cpl_table *, cpl_size);

#endif
