/* $Id: espda_syst.h 212642 2017-12-05 07:15:26Z gcupani $
 *
 * This file is part of the ESPDA Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

/*
 * $Author: gcupani $
 * $Date: 2017-12-05 07:15:26 +0000 (Tue, 05 Dec 2017) $
 * $Revision: 212642 $
 * $Name:  $
 */

#ifndef ESPDA_SYST_H
#define ESPDA_SYST_H

/*-----------------------------------------------------------------------------
                                   Macros
 -----------------------------------------------------------------------------*/

#define espda_syst_init() \
            syst_id1 = 'a' - 1; \
            syst_id2 = 'a'; \

/*-----------------------------------------------------------------------------
                                   Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

#include "espda_dfs.h"
#include "espda_line.h"
#include "espda_print.h"

/*-----------------------------------------------------------------------------
                                   Functions prototypes
 -----------------------------------------------------------------------------*/

cpl_error_code  espda_syst_accept(cpl_table   *,
                                  char        *,
                                  int         *,
                                  int         *,
                                  int         *);

cpl_error_code  espda_syst_add   (cpl_table  *,
                                  cpl_table  *,
                                  cpl_table  *,
                                  int,
                                  double,
                                  double);

cpl_error_code  espda_syst_adjust(cpl_table   *,
                                  cpl_table   *,
                                  cpl_size,
				  double);

cpl_error_code espda_syst_adv   (char        [4]);

cpl_array      *espda_syst_ave   (cpl_table  *,
                                  cpl_size);

cpl_table     *espda_syst_blend (cpl_table   *,
                                 char        [4]);
                                 
cpl_error_code espda_syst_conf  (cpl_table   *,
                                 cpl_table   *,
                                 int,
                                 int,
                                 int         *,
                                 cpl_table  **);

cpl_error_code espda_syst_constr(cpl_table   *,
                                 cpl_table   *);

cpl_error_code espda_syst_dec   (             );

cpl_error_code espda_syst_exist (cpl_table   *,
                                 char        *,
                                 int,
                                 int         *,
                                 int         *,
                                 int         *);

cpl_error_code espda_syst_find  (cpl_table   *,
                              	 char        *,
                              	 int         *,
                              	 int         *);

cpl_error_code espda_syst_update(cpl_table   *,
                               	 const char  *,
                               	 const char  *,
                               	 const char  *,
                               	 double,
                                 char        *,
                               	 int,
                               	 int);
                        
/*
double espda_syst_prova(int, int);
cpl_error_code espda_syst_prova2();
*/
#endif
